# Uses of Class
it.tdlight.jni.TdApi.PollType

## Uses of TdApi.PollType in it.tdlight.jni

Subclasses of TdApi.PollType in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.PollTypeQuiz`
A poll in quiz mode, which has exactly one correct answer option and can be answered only once.
`static final class`
`TdApi.PollTypeRegular`
A regular poll.
Fields in it.tdlight.jni declared as TdApi.PollType
Modifier and Type
Field
Description
`TdApi.PollType`
TdApi.InputMessagePoll.`type`
Type of the poll.
`TdApi.PollType`
TdApi.Poll.`type`
Type of the poll.
Constructors in it.tdlight.jni with parameters of type TdApi.PollType
Modifier
Constructor
Description
``
`InputMessagePoll(String question, String[] options, boolean isAnonymous, TdApi.PollType type, int openPeriod, int closeDate, boolean isClosed)`
A message with a poll.
``
`Poll(long id, String question, TdApi.PollOption[] options, int totalVoterCount, TdApi.MessageSender[] recentVoterIds, boolean isAnonymous, TdApi.PollType type, int openPeriod, int closeDate, boolean isClosed)`
Describes a poll.